open OFC
open Pie_values

let () =
  let pc = new_pie_elem() in
  pie_elem_set_colours pc ~colours:["#d01f3c"; "#356aa0"; "#C79810"; "#46CF79"];
  pie_elem_set_alpha pc ~alpha:0.6;
  pie_elem_set_border pc ~border:2;
  pie_elem_set_start_angle pc ~start_angle:35;
  let p1 = pie_value ~on_click:"http://teethgrinder.co.uk/open-flash-chart-2/"
                     ~label:"hello label" ~tip:"#val# bottles of beer"
                     (F 5.5) in
  pie_elem_add_values pc [Int 2; Int 3; p1; Float 1.5];

  let c = new_chart() in
  chart_set_bg_colour c "#EFEFEF";
  chart_set_title c ~style:"font-size:16px; font-family:Verdana; color:#404550;"
                    "My Pie Chart";
  chart_add_element c pc;
  print_chart c;
;;

