open OFC

let () =
  let e = new_line_elem() in
  line_elem_set_width e 5;
  line_elem_set_loop e true;
  line_elem_add_ints e [3; 4; 5; 4; 6; 8; 7; 8; 9; 7; 5];

  let c = new_chart() in
  chart_add_element c e;
  chart_set_bg_colour c "#ffffff";
  chart_set_title c "My Radar Chart";
  chart_set_radar_axis c ~max:10 ~stroke:3
                         ~colour:"#167840" ~grid_colour:"#E1AAF5" ();
  print_chart c;
;;

