open OFC

let () =
  let lg1 = new_line_elem() in
  line_elem_set_width lg1 6;
  line_elem_set_colour lg1 "#209010";
  line_elem_set_legend lg1 "Legend Blabla";
  line_elem_set_font_size lg1 14;
  line_elem_add_ints lg1 [5; 7; 8; 10; 8; 10; 11; 9; 6];
  line_elem_set_dot_style lg1 ~kind:Hollow_dot ~colour:"#20EF00" ~dot_size:8
                               ~tip:"x = #x_label#<br>y = #val#" ();

  let lg2 = new_line_elem() in
  line_elem_set_width lg2 4;
  line_elem_set_colour lg2 "#102090";
  line_elem_set_legend lg2 "2nd Legend";
  line_elem_set_font_size lg2 14;
  line_elem_add_ints lg2 [10; 11; 10; 7; 5; 6; 8; 7; 9];
  line_elem_set_dot_style lg2 ~kind:Solid_dot ~colour:"#0020EF" ~dot_size:6
                               ~tip:"x = #x_label#<br>y = #val#" ();

  let c = new_chart() in
  chart_set_title c "My Line Dot Chart Test 2";
  chart_set_y_legend c ~style:"color: #736AFF;" "Y-Legend hello";
  chart_add_elements c [Line lg1; Line lg2];
  chart_set_y_axis c ~min:4 ~max:12 ~steps:2 ();
  print_chart c;
;;

